> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start SMS Verification

> Send a one-time 6-digit code to a phone number for verification.

## Method

`POST` `/v1/verify/sms/start`

## Body Parameters

<ParamField name="phone" type="string" required>E.164-formatted phone number (e.g. `+40700000000`).</ParamField>

## Headers

<ParamField header="Authorization" type="string">Bearer token (e.g. <code>Authorization: Bearer YOUR\_API\_KEY</code>)</ParamField>
<ParamField header="content-type" type="string">`application/json`</ParamField>

## Request Example

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.voyantcloud.com/v1/verify/sms/start \
    -H "Authorization: Bearer $VOYANT_API_KEY" \
    -H "content-type: application/json" \
    -d '{ "phone": "+40700000000" }'
  ```

  ```javascript Node.js theme={null}
  await fetch("https://api.voyantcloud.com/v1/verify/sms/start", {
    method: "POST",
    headers: {
      Authorization: `Bearer ${process.env.VOYANT_API_KEY}`,
      "content-type": "application/json",
    },
    body: JSON.stringify({ phone: "+40700000000" }),
  })
  ```

  ```python Python theme={null}
  import os, requests

  payload = {"phone": "+40700000000"}
  resp = requests.post(
    "https://api.voyantcloud.com/v1/verify/sms/start",
    headers={
      "Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}",
      "content-type": "application/json",
    },
    json=payload,
  )
  data = resp.json()
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "ok": true,
    "expiresAt": "2025-03-01T12:35:42.000Z"
  }
  ```
</ResponseExample>

<Tip>Codes are stored hashed and expire after five minutes. Configure <code>SMS\_SENDER\_ID</code> and your Trigger.dev SMS workflow to deliver messages in production.</Tip>
